## listadmin 2.24

=== Makefile ===
SHELL = /bin/sh
INSTALL = install -c

VERSION = 2.24

PREFIX = /usr/local
BINDIR = $(PREFIX)/bin
MANDIR = $(PREFIX)/share/man

SRCFILES = Makefile listadmin.pl listadmin.man

all:
	@echo Nothing needs to be done

install:
	$(INSTALL) listadmin.pl $(bindir)/listadmin
	$(INSTALL) -m 644 listadmin.man $(mandir)/man1/listadmin.1

listadmin.txt: listadmin.man
#	Note the verbatim backspace in the sed command
	env TERM=dumb nroff -man $< | sed 's/.//g' | uniq > $@.tmp
	mv $@.tmp $@

TARFILE = listadmin-$(VERSION).tar.gz
$(TARFILE): $(SRCFILES) listadmin.txt
	@rm -rf listadmin-$(VERSION)
	mkdir listadmin-$(VERSION)
	cp $(SRCFILES) listadmin.txt listadmin-$(VERSION)/
	tar cf - listadmin-$(VERSION) | gzip -9 > $(TARFILE)
	rm -rf listadmin-$(VERSION)

dist: $(TARFILE)

distclean:
	rm -rf $(TARFILE) listadmin.txt listadmin-$(VERSION)

# for my use only
WWW_DOCS = /hom/kjetilho/www_docs/hacks
publish: dist
	cp listadmin.txt $(WWW_DOCS)/listadmin.txt
	cp $(TARFILE) $(WWW_DOCS)/
	perl -pi -e 's/listadmin-\d+\.\d+/listadmin-'$(VERSION)'/g' $(WWW_DOCS)/index.html

## listadmin 2.26

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 SHELL = /bin/sh
 INSTALL = install -c
 
-VERSION = 2.24
+VERSION = 2.26
 
 PREFIX = /usr/local
 BINDIR = $(PREFIX)/bin
@@ -39,4 +39,5 @@
 publish: dist
 	cp listadmin.txt $(WWW_DOCS)/listadmin.txt
 	cp $(TARFILE) $(WWW_DOCS)/
+	cp listadmin.pl $(WWW_DOCS)/listadmin
 	perl -pi -e 's/listadmin-\d+\.\d+/listadmin-'$(VERSION)'/g' $(WWW_DOCS)/index.html

## listadmin 2.27

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 SHELL = /bin/sh
 INSTALL = install -c
 
-VERSION = 2.26
+VERSION = 2.27
 
 PREFIX = /usr/local
 BINDIR = $(PREFIX)/bin
@@ -37,7 +37,8 @@
 # for my use only
 WWW_DOCS = /hom/kjetilho/www_docs/hacks
 publish: dist
-	cp listadmin.txt $(WWW_DOCS)/listadmin.txt
-	cp $(TARFILE) $(WWW_DOCS)/
-	cp listadmin.pl $(WWW_DOCS)/listadmin
-	perl -pi -e 's/listadmin-\d+\.\d+/listadmin-'$(VERSION)'/g' $(WWW_DOCS)/index.html
+	cp -p listadmin.txt $(WWW_DOCS)/listadmin.txt
+	cp -p $(TARFILE) $(WWW_DOCS)/
+	cp -p listadmin.pl $(WWW_DOCS)/listadmin
+	cp -p listadmin.man $(WWW_DOCS)/listadmin.man
+	perl -pi -e 's/listadmin(.)\d+\.\d+/listadmin$${1}'$(VERSION)'/g' $(WWW_DOCS)/index.html

## listadmin 2.30

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 SHELL = /bin/sh
 INSTALL = install -c
 
-VERSION = 2.27
+VERSION = 2.30
 
 PREFIX = /usr/local
 BINDIR = $(PREFIX)/bin
@@ -18,7 +18,7 @@
 
 listadmin.txt: listadmin.man
 #	Note the verbatim backspace in the sed command
-	env TERM=dumb nroff -man $< | sed 's/.//g' | uniq > $@.tmp
+	env TERM=dumb nroff -man $< | sed -e '/^XXX/d' -e 's/.//g' | uniq > $@.tmp
 	mv $@.tmp $@
 
 TARFILE = listadmin-$(VERSION).tar.gz

## listadmin 2.32

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 SHELL = /bin/sh
 INSTALL = install -c
 
-VERSION = 2.30
+VERSION = 2.32
 
 PREFIX = /usr/local
 BINDIR = $(PREFIX)/bin

## listadmin 2.37

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 SHELL = /bin/sh
 INSTALL = install -c
 
-VERSION = 2.32
+VERSION = 2.37
 
 PREFIX = /usr/local
 BINDIR = $(PREFIX)/bin

## listadmin 2.40

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,13 @@
 SHELL = /bin/sh
-INSTALL = install -c
+# a BSD or GNU style install is required, e.g., /usr/ucb/install on Solaris
+INSTALL = install
 
-VERSION = 2.37
+VERSION = 2.40
 
 PREFIX = /usr/local
-BINDIR = $(PREFIX)/bin
-MANDIR = $(PREFIX)/share/man
+prefix = $(PREFIX)
+bindir = $(prefix)/bin
+mandir = $(prefix)/share/man
 
 SRCFILES = Makefile listadmin.pl listadmin.man
 
@@ -13,8 +15,9 @@
 	@echo Nothing needs to be done
 
 install:
-	$(INSTALL) listadmin.pl $(bindir)/listadmin
-	$(INSTALL) -m 644 listadmin.man $(mandir)/man1/listadmin.1
+	$(INSTALL) -d $(DESTDIR)$(bindir) $(DESTDIR)$(mandir)/man1
+	$(INSTALL) -m 755 listadmin.pl $(DESTDIR)$(bindir)/listadmin
+	$(INSTALL) -m 644 listadmin.man $(DESTDIR)$(mandir)/man1/listadmin.1
 
 listadmin.txt: listadmin.man
 #	Note the verbatim backspace in the sed command

=== debian/changelog ===
listadmin (2.40-5.1) unstable; urgency=low

  * Non-maintainer upload with maintainer approval.
  * Refreshed patches to avoid fuzzy application.
  * Added selective-cert-checking.patch for more flexible SSL
    certificate handling (Closes: #707787).  Patch from Marius Halden.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 19 Dec 2016 13:13:41 +0000

listadmin (2.40-5) unstable; urgency=medium

  * debian/control updated Standards-Version, no change needed
  * debian/compat raised to 9
  * debian/rules cleaned up
  * debian/source/format set to 3.0 (quilt)
  * debian/watch added

 -- Noël Köthe <noel@debian.org>  Sun, 03 Jul 2016 21:59:26 +0200

listadmin (2.40-4) unstable; urgency=low

  * updated Standards-Version to 3.8.4 without changes
  * Do not try to write bogus log file if none is defined (Closes: #461210)
    Thanks Joachim "nomeata" Breitner for the patch/work.

 -- Noèl Köthe <noel@debian.org>  Fri, 09 Apr 2010 23:55:09 +0200

listadmin (2.40-3) unstable; urgency=low

  * updated Standards-Version (no changes needed)
  * debian/compat updated to 5
  * added listadmin-discard.patch from Alexander Wirt
    <formorer@debian.org> Thanks! (closes: #530385)

 -- Noèl Köthe <noel@debian.org>  Tue, 21 Jul 2009 00:36:37 +0200

listadmin (2.40-2.2) unstable; urgency=low

  * Fix regression in earlier NMU (in some cases ignored pending
    actions).  Closes bug#495006, thanks to Johannes Stezenbach and
    Michel Dänzer.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 15 Aug 2008 10:27:38 +0200

listadmin (2.40-2.1) unstable; urgency=low

  * Non-maintainer upload, requested by maintainer.  Re-upload of
    earlier NMU, so closes: bug#494484.
  * Make admin page parsing more flexible, fixing crash at line 802 with
    recent versions of Mailman.  Closes: bug#494672.
  * Extend l10n parsing by adding strings from source of Mailman 2.1.10,
    making it (hopefully) support all 35 languages included with recent
    Debian release of Mailman (successfully tested against english,
    danish and norwegian lists).  Closes: bug#494670.
  * Fix possible typo: use new parser logic not only for Mailman 2.1 but
    also greater versions (unlikely that Mailman will go back to usin
    pre-2.1 html coding style in future releases).

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 11 Aug 2008 23:33:14 +0200

listadmin (2.40-2) unstable; urgency=low

  * debian/control
    - updated Standards-Version
    - added Homepage:
  * added french admin translation (closes: Bug#446350)
    Thanks The Anarcat <anarcat mumia.anarcat.ath.cx>
  * added danish patch (closes: Bug#473567)
    Thanks Soren Hansen <soren ubuntu.com>

 -- Noèl Köthe <noel@debian.org>  Sat, 09 Aug 2008 22:54:50 +0200

listadmin (2.40-1) unstable; urgency=low

  * new upstream release

 -- Noèl Köthe <noel@debian.org>  Fri, 26 Oct 2007 18:45:18 +0200

listadmin (2.39-1) unstable; urgency=low

  * new upstream release (Thank you Kjetil for looking at the Debian BTS)
    - added {list} and {domain} expansion (closes: Bug#440542)
    - some support for non-english lists (closes: Bug#442027)

 -- Noèl Köthe <noel@debian.org>  Mon, 01 Oct 2007 21:01:13 +0200

listadmin (2.37-1) unstable; urgency=low

  * new upstream release

 -- Noèl Köthe <noel@debian.org>  Fri, 15 Jun 2007 13:16:00 +0200

listadmin (2.36-1) unstable; urgency=low

  * new upstream release
    (Closes: Bug#406603)
  * added libtext-reform-perl dependency

 -- Noèl Köthe <noel@debian.org>  Sat, 20 Jan 2007 21:21:17 +0100

listadmin (2.32-1) unstable; urgency=medium

  * new upstream release
    (Closes: Bug#399730)
  * this package should fix wrong spam flagging
    (Closes: Bug#379915)
  * updated Standard-Version

 -- Noèl Köthe <noel@debian.org>  Sun, 26 Nov 2006 20:05:26 +0100

listadmin (2.30-1) unstable; urgency=low

  * new upstream release from 2006-02-19

 -- Noèl Köthe <noel@debian.org>  Tue, 21 Feb 2006 22:23:56 +0100

listadmin (2.29-1) unstable; urgency=low

  * new upstream release from 2006-02-17

 -- Noèl Köthe <noel@debian.org>  Sat, 18 Feb 2006 00:39:55 +0100

listadmin (2.28-1) unstable; urgency=low

  * new upstream release from 2006-02-15

 -- Noèl Köthe <noel@debian.org>  Thu, 16 Feb 2006 21:29:01 +0100

listadmin (2.27-2) unstable; urgency=low

  * applied mailman 2.1 patch from Sam Watkins <sam nipl.net>
    with a correction from Petter Reinholdtsen <pere hungry.com>
    Thanks alot for your work.
    (closes: Bug#292929)

 -- Noèl Köthe <noel@debian.org>  Fri, 30 Dec 2005 08:21:36 +0100

listadmin (2.27-1) unstable; urgency=low

  * new upstream version

 -- Noèl Köthe <noel@debian.org>  Fri, 30 Sep 2005 07:31:27 +0200

listadmin (2.26-1) unstable; urgency=low

  * new upstream version

 -- Noèl Köthe <noel@debian.org>  Sat, 25 Jun 2005 23:00:09 +0200

listadmin (2.24-2) unstable; urgency=medium

  * urgency=medium
    2.24 fixes mail loose, when you first mark a mail to be discard
    and then jump back to it and mark it skip.
  * renamed binary from listadmin.pl to listadmin in usr/bin

 -- Noèl Köthe <noel@debian.org>  Tue, 08 Mar 2005 09:30:12 +0100

listadmin (2.24-1) unstable; urgency=low

  * new upstream relase from 2005-02-25

 -- Noèl Köthe <noel@debian.org>  Thu, 03 Mar 2005 14:12:12 +0100

listadmin (2.23-1) unstable; urgency=low

  * new upstream relase from 2005-02-21
  * upstream fixed problem with passwords in web logs
    (closes: Bug#289915)

 -- Noèl Köthe <noel@debian.org>  Mon, 21 Feb 2005 09:43:10 +0100

listadmin (2.22-1) unstable; urgency=low

  * new upstream release from 2004-11-02
  * running listadmin gives "uninitialized value" warnings
    are fixed
    (closes: Bug#278149)
  * Name "main::opt_n" used only once
    is fixed
    (closes: Bug#278330)

 -- Noèl Köthe <noel@debian.org>  Wed, 03 Nov 2004 00:46:35 +0100

listadmin (2.21-1) unstable; urgency=low

  * Initial Release.
    (closes: Bug#274648)

 -- Noèl Köthe <noel@debian.org>  Tue, 12 Oct 2004 20:32:04 +0200

=== debian/control ===
Source: listadmin
Section: net
Priority: optional
Maintainer: Noël Köthe <noel@debian.org>
Build-Depends: debhelper (>= 9.0.0)
Standards-Version: 3.9.8
Homepage: http://heim.ifi.uio.no/kjetilho/hacks/#listadmin

Package: listadmin
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, libwww-perl, libcrypt-ssleay-perl, libtext-reform-perl
Description: command line mailman moderator queue manipulation
 listadmin is a command line tool to manipulate the queues of messages
 held for moderator approval by mailman.  It is designed to keep user
 interaction to a minimum, in theory you could run it from cron to
 prune the queue. It can use the score from a header added by
 SpamAssassin to filter, or it can match specific senders, subjects, or
 reasons.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-arch build-indep

build-arch: build-stamp

build-indep: build-stamp

build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE)
	#docbook-to-man debian/listadmin.sgml > listadmin.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/listadmin.
	#$(MAKE) install DESTDIR=$(CURDIR)/debian/listadmin
	cp listadmin.pl $(CURDIR)/debian/listadmin/usr/bin/listadmin
	cp listadmin.man $(CURDIR)/debian/listadmin/usr/share/man/man1/listadmin.1


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installman
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep
.PHONY: build clean binary-indep binary-arch binary install

## listadmin 2.42

=== Makefile ===
SHELL = /bin/sh
# a BSD or GNU style install is required, e.g., /usr/ucb/install on Solaris
INSTALL = install

VERSION = 2.42

PREFIX = /usr/local
prefix = $(PREFIX)
bindir = $(prefix)/bin
mandir = $(prefix)/share/man

SRCFILES = Makefile listadmin.pl listadmin.1 changelog.txt

all:
	@echo Nothing needs to be done

install:
	$(INSTALL) -d $(DESTDIR)$(bindir) $(DESTDIR)$(mandir)/man1
	$(INSTALL) -m 755 listadmin.pl $(DESTDIR)$(bindir)/listadmin
	$(INSTALL) -m 644 listadmin.1 $(DESTDIR)$(mandir)/man1/listadmin.1

listadmin.txt: listadmin.1
#	Note the verbatim backspace in the sed command
	env TERM=dumb nroff -man $< | sed -e '/^XXX/d' -e 's/.//g' | uniq > $@.tmp
	mv $@.tmp $@

TARFILE = listadmin-$(VERSION).tar.gz
$(TARFILE): $(SRCFILES) listadmin.txt
	@rm -rf listadmin-$(VERSION)
	mkdir listadmin-$(VERSION)
	cp $(SRCFILES) listadmin.txt listadmin-$(VERSION)/
	tar cf - listadmin-$(VERSION) | gzip -9 > $(TARFILE)
	rm -rf listadmin-$(VERSION)

dist: $(TARFILE)

distclean:
	rm -rf $(TARFILE) listadmin.txt listadmin-$(VERSION)

# for my use only
upload:
	rsync -avh --progress $(TARFILE) solbu@frs.sourceforge.net:/home/frs/project/listadmin/$(VERSION)/

=== debian/changelog ===
listadmin (2.42-1.3ubuntu1) noble; urgency=medium

  * Fix "Wide character in subroutine" error. (Closes: #886247, LP: #2048393)

 -- Brian Murray <brian@ubuntu.com>  Fri, 05 Jan 2024 09:26:40 -0800

listadmin (2.42-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * The "trigger-happy NMU" release ☹
  * 2.42-1.2 included a fatal (syntax) error. Fixed it. Shame on me for
    not correctly checking the patch!

 -- Gunnar Wolf <gwolf@debian.org>  Thu, 20 Sep 2018 12:26:39 -0500

listadmin (2.42-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * My patch for #873287 caused logging to stop working. Fixed
    it. (Closes: #909236)

 -- Gunnar Wolf <gwolf@debian.org>  Thu, 20 Sep 2018 11:40:56 -0500

listadmin (2.42-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Allow listadmin to follow HTTPS redirects for Mailman (Closes: #873287)
  * Fix insecure use of /tmp (Closes: #740891)

 -- Gunnar Wolf <gwolf@debian.org>  Wed, 05 Sep 2018 10:41:39 -0500

listadmin (2.42-1) unstable; urgency=medium

  * new upstream release from 2016-12-23 with new upstream maintainer
    closes: Bug# #849076
  * debian/patches/ removed upstream included patches:
    - dont-write-logfile.patch
    - listadmin-discard.patch
    - listadmin.patch
    - listadmin-translation.patch
    - selective-cert-checking.patch
  * IPv6 support added. closes: Bug#699768
  * debian/control updated homepage 

 -- Noël Köthe <noel@debian.org>  Tue, 17 Jan 2017 20:37:20 +0100

=== debian/control ===
Source: listadmin
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Noël Köthe <noel@debian.org>
Build-Depends: debhelper (>= 9.0.0)
Standards-Version: 3.9.8
Homepage: https://sourceforge.net/projects/listadmin/

Package: listadmin
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, libwww-perl, libcrypt-ssleay-perl, libtext-reform-perl, libnet-inet6glue-perl
Description: command line mailman moderator queue manipulation
 listadmin is a command line tool to manipulate the queues of messages
 held for moderator approval by mailman.  It is designed to keep user
 interaction to a minimum, in theory you could run it from cron to
 prune the queue. It can use the score from a header added by
 SpamAssassin to filter, or it can match specific senders, subjects, or
 reasons.

=== debian/rules ===
--- 
+++ 
@@ -37,7 +37,7 @@
 	# Add here commands to install the package into debian/listadmin.
 	#$(MAKE) install DESTDIR=$(CURDIR)/debian/listadmin
 	cp listadmin.pl $(CURDIR)/debian/listadmin/usr/bin/listadmin
-	cp listadmin.man $(CURDIR)/debian/listadmin/usr/share/man/man1/listadmin.1
+	cp listadmin.1 $(CURDIR)/debian/listadmin/usr/share/man/man1/listadmin.1
 
 
 # Build architecture-independent files here.

## listadmin 2.73

=== Makefile ===
SHELL = /bin/sh
# a BSD or GNU style install is required, e.g., /usr/ucb/install on Solaris
INSTALL = install

VERSION = $(shell perl listadmin.pl --version|cut -f3 -d ' ')

PREFIX = /usr/local
prefix = $(PREFIX)
bindir = $(prefix)/bin
mandir = $(prefix)/share/man

SRCFILES = Makefile listadmin.pl listadmin.1 ChangeLog sample-session.txt INSTALL

all:
	@echo Nothing needs to be done

install:
	$(INSTALL) -d $(DESTDIR)$(bindir) $(DESTDIR)$(mandir)/man1
	$(INSTALL) -m 755 listadmin.pl $(DESTDIR)$(bindir)/listadmin
	$(INSTALL) -m 644 listadmin.1 $(DESTDIR)$(mandir)/man1/listadmin.1

listadmin.txt: listadmin.1
	man ./$< | col -b > $@

TARFILE = listadmin-$(VERSION).tar.gz
$(TARFILE): $(SRCFILES) listadmin.txt
	@rm -rf listadmin-$(VERSION)
	mkdir listadmin-$(VERSION)
	cp $(SRCFILES) listadmin.txt listadmin-$(VERSION)/
	tar acf $(TARFILE) listadmin-$(VERSION)
	rm -rf listadmin-$(VERSION)

dist: $(TARFILE)

distclean:
	rm -rf $(TARFILE) listadmin.txt listadmin-$(VERSION)

# for my use only
upload:
	rsync -avh --progress $(TARFILE) solbu@frs.sourceforge.net:/home/frs/project/listadmin/$(VERSION)/

.PHONY: listadmin.txt

=== debian/changelog ===
listadmin (2.73-1) unstable; urgency=medium

  * Team upload.
    Closes: #1082509

  [ Soeren Ziehe ]
  * Fix removing list members
    Closes: #652747

  [ Andreas Tille ]
  * New upstream version
    Closes: #886247
  * Fix watch file
    Closes: #983145
  * Add Vcs fields
  * Short dh
  * DEP5
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.

 -- Andreas Tille <tille@debian.org>  Mon, 23 Sep 2024 21:33:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,14 @@
 Source: listadmin
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Noël Köthe <noel@debian.org>
-Build-Depends: debhelper (>= 9.0.0)
-Standards-Version: 3.9.8
+Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
+Uploaders: Noël Köthe <noel@debian.org>
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.7.0
+Vcs-Browser: https://salsa.debian.org/salvage-team/listadmin
+Vcs-Git: https://salsa.debian.org/salvage-team/listadmin.git
 Homepage: https://sourceforge.net/projects/listadmin/
+Rules-Requires-Root: no
 
 Package: listadmin
 Architecture: all
@@ -17,4 +20,3 @@
  prune the queue. It can use the score from a header added by
  SpamAssassin to filter, or it can match specific senders, subjects, or
  reasons.
-

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_install:
	dh_install
	cp listadmin.pl $(CURDIR)/debian/listadmin/usr/bin/listadmin

override_dh_auto_install:
	# prevent copying stuff to /usr/local

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
  https://sf.net/@PACKAGE@/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
